Subject: bug#49947: Backtrace on "@abbr{...}" in package description

From: Sarah Morgensen <[email-masked]>
Date: Sun, 08 Aug 2021 17:01:31 -0700

Hello Guix,

The Texinfo manual says [0] that I should be able to use @abbr, and
prefer it over @acronym when the text is not all capital letters, but I
get a backtrace when I try to use it in a package description:

--8<---------------cut here---------------start------------->8---
Backtrace:
In ice-9/boot-9.scm:
  1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
          15 (apply-smob/0 #<thunk 7fa49b8ea0c0>)
In ice-9/boot-9.scm:
    724:2 14 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8 13 (_ #(#(#<directory (guile-user) 7fa49b8f0c80>)))
In guix/ui.scm:
   2185:7 12 (run-guix . _)
  2148:10 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/package.scm:
    906:9  9 (_)
In srfi/srfi-1.scm:
    634:9  8 (for-each #<procedure 7fa49878c9e8 at guix/scripts/pac?> ?)
In ice-9/boot-9.scm:
  1747:15  7 (with-exception-handler #<procedure 7fa4899fd900 at ic?> ?)
In srfi/srfi-1.scm:
    634:9  6 (for-each #<procedure 7fa489a05520 at guix/scripts/pac?> ?)
In guix/ui.scm:
  1558:14  5 (package->recutils _ #<output: file /dev/pts/2> _ # _ # _)
  1432:23  4 (texi->plain-text _)
In texinfo.scm:
  1132:22  3 (parse _)
   967:36  2 (loop #<input: string 7fa489a08770> (*fragment*) #<pro?> ?)
     92:2  1 (command-spec _)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `parser-error' with args `(#f "Unknown command" abbr)'.
--8<---------------cut here---------------end--------------->8---

If this isn't an oversight, and not all Texinfo markup is supported,
that should be noted in the manual.

[0] https://www.gnu.org/software/texinfo/manual/texinfo/texinfo.html#g_t_0040abbr

--
Sarah